Bug 7617 - Authority search results should optionally be sorted by system order
Summary: Authority search results should optionally be sorted by system order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-28 22:06 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7617: Sort authority results by authid (5.37 KB, patch)
2012-03-11 17:48 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7617: Sort authority results by authid (5.54 KB, patch)
2012-03-27 16:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-02-28 22:06:11 UTC
At present, when searching authorities using Zebra the order of two identical records is not guaranteed. It should be possible to force authorities to sort by authid to simplify discussion of "first" and "last."
Comment 1 Jared Camins-Esakov 2012-03-11 17:48:12 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-03-27 16:23:22 UTC
Created attachment 8651 [details] [review]
[SIGNED-OFF] Bug 7617: Sort authority results by authid

Add the option of sorting authority search results by authid, and instruct the
FirstMatch and LastMatch linkers to use that sort order rather than the default
search order.

To test:
1. Install new Zebra authorities config
    etc/zebradb/marc_defs/marc21/authorities/authority-koha-indexdefs.xml,
    etc/zebradb/marc_defs/marc21/authorities/authority-zebra-indexdefs.xsl,
    etc/zebradb/marc_defs/marc21/authorities/record.abs, and
    etc/zebradb/marc_defs/unimarc/authorities/record.abs
2. Reindex authorities in Zebra
3. Set LinkerModule to FirstMatch or LastMatch
4. Add two identical authority records, and a bib record with a heading that
   matches them
5. Run misc/link_bibs_to_authorities.pl on that record
6. Confirm that the authid that's been inserted into subfield $9 of that
   heading is the first, if you selected FirstMatch, or last if you selected
   LastMatch

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I followed the test plan and checked that for "Last match" and "First match"
the correct authority was selected and linked to the record.
Comment 3 Ian Walls 2012-03-28 18:37:03 UTC
Addition of Local-Number:s indexes, as well as the option to sort by this index instead of just heading.  Minimal impact on other parts of the system.  Marking as Passed QA.
Comment 4 Paul Poulain 2012-03-29 09:12:40 UTC
patch pushed.

2 comments after my tests:
* the current behaviour (ordered by by heading) is still the default one, good thing
* perviour behaviour still OK if you miss to update your zebra file
Comment 5 Jared Camins-Esakov 2012-05-09 19:57:07 UTC
This bug will be included in the Koha 3.6.5 release.
Comment 6 Jared Camins-Esakov 2012-05-09 20:04:13 UTC
This bug will be included in the Koha 3.6.5 release.